package site_service

import (
	"SCRM/models"
	"SCRM/service"
	"fmt"
	"time"
)

func AddPatientModel(model *models.SgjPatientModel)error{
	err := service.PatientWriteDB().Create(&model).Error
	fmt.Println("插入错误",err)
	return  err
}

func QueryModel(orgID int64)( models.SgjPatientModel,error)  {
	model := models.SgjPatientModel{}
	err := service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Last(&model).Error
	return model,err
}

func AddRotation(rotation models.SgjPatientRotation) error {
	err := service.PatientWriteDB().Create(&rotation).Error
	fmt.Println("插入数据",err)
	return  err
}

func AddRotationUpload(connecmodel *models.SgjPatientConnecmodel) error  {
	err := service.PatientWriteDB().Create(&connecmodel).Error
	fmt.Println("错误是什么，err",err)
	return  err
}

func AddHispital(newmodel models.SgjPatientHospital) error {
	err := service.PatientWriteDB().Create(&newmodel).Error
	return  err
}

func AddOffices(offices models.SgjPatientOffices) error  {
	err := service.PatientWriteDB().Create(&offices).Error
	return  err
}

func AddDoctor(doctor models.SgjPatientDocinfo) error {
	err := service.PatientWriteDB().Create(&doctor).Error
	return err
}

func AddDoctorInfo(doctor models.SgjPatientEditdoctor) error{
	err := service.PatientWriteDB().Create(&doctor).Error
	return  err
}

func AddOffEnvironment(officenviroment models.SgjPatientOffenvironment) error {
	err := service.PatientWriteDB().Create(&officenviroment).Error
	return  err
}

func GetRationImages(orgID int64)(rot []*models.SgjPatientRotation, err error){
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Order("sort").Find(&rot).Error
	fmt.Println("错误是什么",err)
	return
}

func GetHospitalInfo(orgID int64)(models.SgjPatientHospital,error)  {
	hospital := models.SgjPatientHospital{}
	err := service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Last(&hospital).Error
	fmt.Println("错误是什么",err)
	return  hospital,err
}

func GetOfficeInfo(orgID int64)(models.SgjPatientOffices,error)  {
	offices := models.SgjPatientOffices{}
	err := service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Last(&offices).Error
	fmt.Println("错误是什么",err)
	return  offices,err
}

func GetQueryDocInfo(orgID int64)(doc []*models.SgjUserStaffInfo,err error)  {
	err = service.UserReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Find(&doc).Error
	fmt.Println("错误是什么",err)
	return
}

func GetQueryDocHead(orgID int64) (doc []*models.SgjPatientEditdoctor,err error) {
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Order("doc_sort").Find(&doc).Error
	return
}

func GetOffEnvironment(orgID int64)(models.SgjPatientOffenvironment,error) {
	offenvironment := models.SgjPatientOffenvironment{}
	err := service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Last(&offenvironment).Error
	fmt.Println("错误是什么",err)
	return  offenvironment,err
}

func AddWorkTime(connecmodel *models.SgjPatientWorktime) error  {
	err := service.PatientWriteDB().Create(&connecmodel).Error
	return err
}

func AddRideWay(connecmodel models.SgjPatientRideway) error {
	err := service.PatientWriteDB().Create(&connecmodel).Error
	return  err
}

func AddConnetion(connection models.SgjPatientConnection) error {
	err := service.PatientWriteDB().Create(&connection).Error
	return  err
}

func GetQueryConnection( orgID int64)(conection []*models.SgjPatientConnection,err error) {
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgID, 1).Find(&conection).Error
	return
}

func DeleteRideWay(orgid int64,id int64)(error){
	err := service.PatientWriteDB().Model(&models.SgjPatientRideway{}).Where("user_org_id =? AND mode_id = ?", orgid, id).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
}

func DeleteConnecWay(orgid int64,id int64)(error)  {
	err := service.PatientWriteDB().Model(&models.SgjPatientConnection{}).Where("user_org_id = ? AND id =?", orgid, id).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}

func DeleteWorkTime(orgid int64,id int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientWorktime{}).Where("user_org_id = ? AND mode_id = ?", orgid, id).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}

func EditConnecWay(orgid int64,id int64)(models.SgjPatientConnection,error){
    sgj  := models.SgjPatientConnection{}
	err := service.PatientReadDB().Model(&sgj).Where("user_org_id = ? AND id =?", orgid, id).Find(&sgj).Error
	return  sgj,err;
}

func UpadateConnec(connection *models.SgjPatientConnection,orgID int64,id int64)  {
	service.PatientWriteDB().Model(connection).Where("user_org_id = ? AND id = ? AND status = ?",orgID,id,1).Update(map[string]interface{}{"title":connection.Title,"connecway":connection.Connecway,"content":connection.Content,})
}

func GetUserModel(orgid int64)(model []*models.SgjPatientOrdmodel,err error){
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgid, 1).Order("sort").Find(&model).Error
	return
}

func GetQueryNewModel(orgid int64)(model []*models.SgjPatientModel,err error)  {
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", orgid, 1).Order("sort").Find(&model).Error
	fmt.Println("错误是什么",err)
	return
}

func GetEditModel(orgid int64,id int64)(models.SgjPatientWorktime,error){
	worktime := models.SgjPatientWorktime{}
	err := service.PatientReadDB().Model(&worktime).Where("user_org_id = ? AND mode_id = ?", orgid, id).Find(&worktime).Error
	return worktime,err;
}

func GetEditRideWay(orgid int64,id int64)(models.SgjPatientRideway,error)  {
	rideway := models.SgjPatientRideway{}
	err := service.PatientReadDB().Model(&rideway).Where("user_org_id = ? AND mode_id = ?", orgid, id).Find(&rideway).Error
	return rideway,err;
}

func UpdateWorkTime(mid int64,orgID int64,worktime models.SgjPatientWorktime) error {
	err := service.PatientWriteDB().Model(worktime).Where("id = ? AND user_org_id = ? AND status = ?", mid, orgID, 1).Update(map[string]interface{}{"title": worktime.Title, "sort": worktime.Sort, "worktime": worktime.Worktime, "mtime": time.Now().Unix()}).Error
	return err
}

func UpdateOrdeModel(id int64,orgID int64,ordmodel models.SgjPatientOrdmodel) error {
	err := service.PatientWriteDB().Model(ordmodel).Where("id = ? AND user_org_id = ? AND status = ?", id, orgID, 1).Update(map[string]interface{}{"title": ordmodel.Title, "sort": ordmodel.Sort, "mtime": time.Now().Unix()}).Error
	return err
}

func UpdateRideWay(id int64,orgID int64,rideway models.SgjPatientRideway) error {
	err := service.PatientWriteDB().Model(rideway).Where("id = ? AND user_org_id = ? AND status =?", id, orgID, 1).Update(map[string]interface{}{"title": rideway.Title, "sort": rideway.Sort, "rideway": rideway.RideWay, "mtime": time.Now().Unix()}).Error
	return  err
}

func QueryDocById(orgID int64,id int64)(models.SgjUserStaffInfo,error)  {
	info := models.SgjUserStaffInfo{}
	err := service.UserWriteDB().Model(&info).Where("user_org_id = ? AND id = ?",orgID ,id ).Find(&info).Error
	return  info,err
}

func DeleteDoctor(id int64,orgID int64)(error) {
	err := service.PatientWriteDB().Model(&models.SgjPatientEditdoctor{}).Where("id = ? AND user_org_id = ?", id, orgID).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}

func EditHospital(mid int64,orgID int64)(models.SgjPatientHospital,error)  {
	hospital := models.SgjPatientHospital{}
	err := service.PatientReadDB().Model(&hospital).Where("modleid = ? AND user_org_id = ? AND status = ?", mid, orgID, 1).Find(&hospital).Error
	return hospital,err
}

func UpdateHospital(id int64,OrgId int64,hospital models.SgjPatientHospital) error  {
	err := service.PatientWriteDB().Model(hospital).Where("id = ? AND user_org_id = ? AND status = ?", id, OrgId, 1).Update(map[string]interface{}{"title": hospital.Title, "sort": hospital.Sort, "introduction": hospital.Introduction, "mtime": time.Now().Unix()}).Error
	return  err
}

func UpdateModel(modelid int64,orgId int64 ,model models.SgjPatientModel) error  {
	err := service.PatientWriteDB().Model(model).Where("id = ? AND user_org_id = ? AND status = ?", modelid, orgId, 1).Update(map[string]interface{}{"title": model.Title, "sort": model.Sort, "mtime": time.Now().Unix()}).Error
	return  err
}

func EditOffice(mid int64,orgID int64)(models.SgjPatientOffices,error)  {
	offices := models.SgjPatientOffices{}
	err := service.PatientReadDB().Model(&offices).Where("modleid = ? AND user_org_id = ? AND status = ?", mid, orgID, 1).Find(&offices).Error
	return offices,err
}

func DeletemodleById(id int64,orgID int64)(error)  {
	err:= service.PatientWriteDB().Model(models.SgjPatientModel{}).Where("id = ? AND user_org_id = ?", id, orgID).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
	}

func DeleteHospitalByModelid(mid int64,orgID int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientHospital{}).Where("modleid = ? AND user_org_id = ?", mid, orgID).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}

func DeleteOfficeByModelid(mid int64,orgID int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientOffices{}).Where("modleid = ? AND user_org_id = ?", mid, orgID).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
}

func UpdateOffices(id int64,orgID int64,offices models.SgjPatientOffices) error {
	err := service.PatientWriteDB().Model(offices).Where("id = ? AND user_org_id = ? AND status = ?", id, orgID, 1).Update(map[string]interface{}{"title": offices.Title, "sort": offices.Sort, "introduction": offices.Introduction, "mtime": time.Now().Unix()}).Error
	return  err
}
func GetHospital(Orgid int64)(hostital []*models.SgjPatientHospital,err error)  {
	err = service.PatientReadDB().Where("user_org_id = ? AND status = ?", Orgid, 1).Order("sort").Find(&hostital).Error
	return
}

func GetData(orgid int64)(model []*models.SgjPatientModel,err error)  {
	db := service.PatientReadDB().Table("sgj_patient_model as m").Where(" m.status = ?", 1)
	if(orgid > 0){
		db = db.Where("user_org_id = ? ", orgid)
	}
	err = db.Preload("Hospitals").Preload("Offices").Preload("Doctors").Preload("OfficeEnviroment").
		Preload("Editdoctor").Preload("Rotation").Preload("Macnavigation").
		Select("m.id,m.title,m.sort,m.ctime,m.mtime,m.user_org_id,m.status,m.mode_type").Order("sort").Find(&model).Error
	return
}

func UpdateDoctorsInfo(orgID int64,ids[] int64,editdoctor models.SgjPatientEditdoctor)(err error)  {
	if(len(ids)==1){
		err = service.PatientWriteDB().Model(&models.SgjPatientEditdoctor{}).Where("id = ? and user_org_id = ?", ids[0], orgID).Update(map[string]interface{}{ "modleid": editdoctor.Modleid, "status": 1, "mtime": time.Now().Unix()}).Error
	}else {
		err = service.PatientWriteDB().Model(&models.SgjPatientEditdoctor{}).Where("id IN(?) and user_org_id = ?", ids, orgID).Update(map[string]interface{}{"modleid": editdoctor.Modleid, "status": 1, "mtime": time.Now().Unix()}).Error
	}
	return
}

func QueryEditDoc(mid int64,orgid int64)(models.SgjPatientDocinfo,  error)  {
	editdotor := models.SgjPatientDocinfo{}
	err := service.PatientReadDB().Model(&editdotor).Where("modelid = ? AND user_org_id = ? AND status = ?", mid, orgid, 1).Find(&editdotor).Error
	return editdotor,err
}

func QuerEditDocByid(mid int64,orgid int64)(editdoctor []*models.SgjPatientEditdoctor,err error)  {
	err = service.PatientReadDB().Model(&editdoctor).Where("modleid = ? AND user_org_id = ? AND status = ?", mid, orgid, 1).Order("doc_sort").Find(&editdoctor).Error
	return
}

func QueryEditImages(orgid int64,id int64)(models.SgjPatientEditdoctor,error)  {
	editdoctor := models.SgjPatientEditdoctor{}
	err := service.PatientReadDB().Model(&editdoctor).Where("user_org_id = ? AND id = ? AND status = ?", orgid, id, 1).Find(&editdoctor).Error
	return editdoctor,err
}

func QueryEditDoctor(id int64,orgid int64)(models.SgjPatientEditdoctor,error)  {
	docinfo := models.SgjPatientEditdoctor{}
	err := service.PatientReadDB().Model(&docinfo).Where("id = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Find(&docinfo).Error
	return  docinfo,err
}

func UpDateEditdoctor(id int64,orgid int64,editdoctor models.SgjPatientEditdoctor) error  {
	err := service.PatientWriteDB().Model(editdoctor).Where("id = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Update(map[string]interface{}{"doc_name":editdoctor.DocName,"doc_postion": editdoctor.DocPostion, "dochead": editdoctor.Dochead, "doc_sort": editdoctor.DocSort, "docintroduction": editdoctor.Docintroduction, "mtime": time.Now().Unix()}).Error
	return  err
}

func Upadatedocdata(orgid int64,id int64,docinfo models.SgjPatientDocinfo) error {
	err := service.PatientWriteDB().Model(docinfo).Where("user_org_id = ? AND id = ? AND status = ?", orgid, id, 1).Update(map[string]interface{}{"title": docinfo.Title, "sort": docinfo.Sort, "docimages": docinfo.Docimages, "mtime": time.Now().Unix()}).Error
	return  err
}

func QuerOfficeEnviroment(id int64,orgid int64)(models.SgjPatientOffenvironment,error)  {
	offenvironment := models.SgjPatientOffenvironment{}
	err := service.PatientReadDB().Model(&offenvironment).Where("modelid = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Find(&offenvironment).Error
	return offenvironment,err
}

func UpdateOfficeEnvironment(id int64,orgid int64,offenvironment models.SgjPatientOffenvironment) error {
	err := service.PatientReadDB().Model(&offenvironment).Where("id = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Find(&offenvironment).Error
	return err
}

func QueryHispitalDetail(orgid int64,id int64)(models.SgjPatientHospital,error)  {
	hospital := models.SgjPatientHospital{}
	err := service.PatientReadDB().Model(&hospital).Where("user_org_id = ?  AND modleid = ? AND status = ?", orgid, id, 1).Find(&hospital).Error
	return  hospital,err
}

func GetOfficeDetail(orgid int64,id int64)(models.SgjPatientOffices,error) {
	offices := models.SgjPatientOffices{}
	err := service.PatientReadDB().Model(&offices).Where("user_org_id = ? AND modleid = ? AND status = ?", orgid, id, 1).Find(&offices).Error
	return offices,err
}

func GetDoctorDetail(orgid int64,id int64)(editdoctor []*models.SgjPatientEditdoctor,err error)  {
	err = service.PatientReadDB().Model(&editdoctor).Where("user_org_id = ? AND modleid = ? AND status = ?", orgid, id, 1).Order("doc_sort").Find(&editdoctor).Error
	return
}

func AddNavigation(navigation *models.SgjPatientNavigation)error  {
	err := service.PatientWriteDB().Create(&navigation).Error
	return err
}

func GetNavigationList(orgid int64)(navigation []*models.SgjPatientNavigation,err error)  {
	err = service.PatientReadDB().Model(&navigation).Where("user_org_id = ? AND status = ?", orgid, 1).Find(&navigation).Error
	return
}

func AddShareInfo(share *models.SgjPatientShare) error {
	err := service.PatientWriteDB().Create(&share).Error

	return err
}

func GetShareInfo(orgid int64)(models.SgjPatientShare,error)  {
	share := models.SgjPatientShare{}
	err := service.PatientReadDB().Model(&share).Where("user_org_id = ? AND status = ?", orgid, 1).Last(&share).Error
	return share,err
}

func DeleteNavitionById(orgID int64,id int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientNavigation{}).Where("user_org_id = ? AND id = ?", orgID, id).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
}

func AddConnecWay(connectway *models.SgjPatientConnectway) error {
	err := service.PatientWriteDB().Create(&connectway).Error
	return  err
}

func AddOrdModel(ordmodel *models.SgjPatientOrdmodel)error  {
	err := service.PatientWriteDB().Create(&ordmodel).Error
	return err
}

func AddHosAddress(hosaddress *models.SgjPatientHosaddress) error  {

	err := service.PatientWriteDB().Create(&hosaddress).Error
	return  err
}

func QueryOrdeModelByID(orgid int64)(models.SgjPatientOrdmodel,error)  {
	ordmodel := models.SgjPatientOrdmodel{}
	err := service.PatientReadDB().Where("user_org_id = ? AND status = ? ", orgid, 1).Last(&ordmodel).Error
	return ordmodel,err
}

func DeleteModle(orgid int64,id int64)(error) {
	err := service.PatientWriteDB().Model(models.SgjPatientOrdmodel{}).Where("user_org_id = ? AND id = ?", orgid, id).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
}

func DeleteModleByModeID(orgid int64,mid int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientConnectway{}).Where("user_org_id = ? AND mode_id = ?", orgid, mid).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}

func GetOrederModel(orgid int64)(model []*models.SgjPatientOrdmodel,err error)  {
	db := service.PatientReadDB().Table("sgj_patient_ordmodel as o").Where("o.status = ?", 1)
	if(orgid > 0){
		db = db.Where("user_org_id = ?", orgid)
	}
	err = db.Preload("Hosaddress").Preload("Connectway").Preload("Worktime").Preload("Rideway").Preload("Oldration").
		Select("o.id,o.title,o.sort,o.ctime,o.mtime,o.mode_type").Order("sort").Find(&model).Error
    fmt.Println("sql错误是什么",err)
	return

}

func AddRotationpic(conrotation models.SgjPatientConrotation) error  {
	err := service.PatientWriteDB().Create(&conrotation).Error
	return  err
}

func GetRotationImages(orgid int64)(conrotation []models.SgjPatientConrotation,err error)  {
	err = service.PatientReadDB().Model(&conrotation).Where("user_org_id = ? AND status = ?", orgid, 1).Find(&conrotation).Error
	return conrotation,err
}

func AddrotationImage(oldrotation *models.SgjPatientOldrotation) error {
	err := service.PatientWriteDB().Create(&oldrotation).Error
	return  err
}

func AddImageslink(editpiclink *models.SgjPatientEditpiclink) error  {
	err := service.PatientWriteDB().Create(&editpiclink).Error
	return  err
}

func GetEditImages(orgid int64)(editpiclink []models.SgjPatientEditpiclink,err error)  {
	err = service.PatientReadDB().Model(&editpiclink).Where("user_org_id = ? AND status = ?",orgid,1).Find(&editpiclink).Error
	return editpiclink,err
}

func AddMagicNavi(editmargin *models.SgjPatientEditmargin) error {
	err := service.PatientWriteDB().Create(&editmargin).Error
	return err
}

func GetMagicImages(orgid int64)( editmargin []models.SgjPatientEditmargin,err error)  {
	err = service.PatientReadDB().Model(&editmargin).Where("user_org_id = ? AND status = ?", orgid, 1).Find(&editmargin).Error
	return editmargin,err
}

func AddMarginChart(macnavigation *models.SgjPatientMacnavigation) error  {

	err := service.PatientWriteDB().Create(&macnavigation).Error
	return err
}

func DeleteRotations(id int64, orgid int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientEditpiclink{}).Where("id = ? AND user_org_id = ?", id, orgid).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return  err
}

func UpdateRotationImages(orgid int64,id int64)(models.SgjPatientEditpiclink,error){
	editpiclink := models.SgjPatientEditpiclink{}
	err := service.PatientReadDB().Model(&editpiclink).Where("user_org_id = ? AND id = ? AND status = ?", orgid, id, 1).Find(&editpiclink).Error
	return editpiclink,err
}

func SaveRotationImages(id int64,orgid int64,editpiclink models.SgjPatientEditpiclink)error  {
	err := service.PatientWriteDB().Model(editpiclink).Where("id = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Update(map[string]interface{}{"images": editpiclink.Images, "sort": editpiclink.Sort, "piclink": editpiclink.Piclink, "linkaddress": editpiclink.Linkaddress, "mtime": time.Now().Unix()}).Error
	return  err
}

func EditNavigation(orgid int64,id int64)(models.SgjPatientNavigation,error){
	navigation := models.SgjPatientNavigation{}
	err := service.PatientReadDB().Model(&navigation).Where("user_org_id = ? AND id = ? AND status = ?", orgid, id, 1).Find(&navigation).Error
	return  navigation,err
}

func UpdateNavtion(id int64,orgid int64,navigation models.SgjPatientNavigation) error {
	err := service.PatientWriteDB().Model(navigation).Where("id = ? AND user_org_id = ? AND status = ?", id, orgid, 1).Update(map[string]interface{}{"navtitle": navigation.Navtitle, "navimages": navigation.Navimages, "jumpset": navigation.Jumpset, "navaddress": navigation.Navaddress, "mtime": time.Now().Unix()}).Error
	return err
}

func DeleteImages(id int64,orgid int64)(error)  {
	err := service.PatientWriteDB().Model(models.SgjPatientConrotation{}).Where("id = ? AND user_org_id = ?", id, orgid).Update(map[string]interface{}{"status": 0, "mtime": time.Now().Unix()}).Error
	return err
}




